Bug 1546052 (CVE-2018-7173, CVE-2018-7174, CVE-2018-7175) - CVE-2018-7173 CVE-2018-7174 CVE-2018-7175 xpdf: Multiple vulnerabilities
Summary: CVE-2018-7173 CVE-2018-7174 CVE-2018-7175 xpdf: Multiple vulnerabilities
Keywords:
Status: CLOSED UPSTREAM
Alias: CVE-2018-7173, CVE-2018-7174, CVE-2018-7175
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1546055 1546054
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-02-16 08:33 UTC by Andrej Nemec
Modified: 2019-09-29 14:32 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-08 03:40:10 UTC


Attachments (Terms of Use)

Description Andrej Nemec 2018-02-16 08:33:58 UTC
CVE-2018-7173

A large loop in JBIG2Stream::readSymbolDictSeg in xpdf 4.00 allows an attacker to cause denial of service via a specific file due to inappropriate decoding.

https://forum.xpdfreader.com/viewtopic.php?f=3&t=607

CVE-2018-7174

An issue was discovered in xpdf 4.00. An infinite loop in XRef::Xref allows an attacker to cause denial of service because loop detection exists only for tables, not streams.

https://forum.xpdfreader.com/viewtopic.php?f=3&t=605

CVE-2018-7175

An issue was discovered in xpdf 4.00. A NULL pointer dereference in readCodestream allows an attacker to cause denial of service via a JPX image with zero components.

https://forum.xpdfreader.com/viewtopic.php?f=3&t=613

Comment 1 Andrej Nemec 2018-02-16 08:34:18 UTC
Created xpdf tracking bugs for this issue:

Affects: epel-all [bug 1546055]
Affects: fedora-all [bug 1546054]

Comment 2 Product Security DevOps Team 2019-06-08 03:40:10 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.


Note You need to log in before you can comment on or make changes to this bug.